import uuid
from upd_xml import Upd970

if __name__ == "__main__":

    rnd_uuid = str(uuid.uuid4())

    upd_head= {
        "guid_doc":rnd_uuid,
        "upd_number":"000000/Cm",
        "upd_date_yyyymmdd":"20241103",
        "upd_date_russian":"03.11.2024",
        "СтоимВсего":"831936.00",
        "СтоимБезНДСВсего":"693280.00",
        "СумНал":"138656.00",

    }

    upd_seller ={
        "guid":"2BM-1111111111-1111111-111111111",
        "НаимОрг":'Общество с ограниченной ответственностью "Ромашка"',
        "ИНН":"7777777777",
        "КПП":"77777777",
        "КодРегион":"77",
        "НаимРегион":"г. Москва",
        "Район":None,
        "Город":None,
        "Индекс":"109111",
        "Улица":"Рязанский",
        "Дом":"1",
        "Корпус":"1",
        "Кварт":"1"
    }

    upd_buyer ={
        "guid":"2BM-111111111111-111111111111111111111111",
        "НаимОрг":'Общество с ограниченной ответственностью "Клиент"',
        "ИНН":"5050505050",
        "КПП":"505050505",
        "КодРегион":"50",
        "НаимРегион":"Московская область",
        "Район":"р-н Сергиево-Посадский",
        "Город":"Сергиев Посад",
        "Индекс":"141304",
        "Улица":"ш Московское",
        "Дом":"1",
        "Корпус":"1",
        "Кварт":"1"
    }

    upd_table = [
        {"Стоимость":"831936.00","СтоимостьБезНДС":"693280.00","Цена":"19253.50","Кол":"36.008","НаимЕдИзм":"м3","ОКЕИ":"113","Товар":"Доска обрезная 2000*50 мм","НомСтр":"1","СуммаНалога":"138656.00"}
        
    ]
    upd_osn =[{"РеквДатаДок":"24.10.2021","РеквНомерДок":"2421","РеквНаимДок":"Договор"},
            {"РеквДатаДок":"06.10.2024","РеквНомерДок":"111","РеквНаимДок":"Счет"}]

    a= Upd970(upd_head,upd_buyer,upd_seller,upd_table,upd_osn)
    a.create_xml()
